IAM データベース認証 - Amazon Relational Database Service

IAM データベース認証

Amazon RDS で IAM データベース認証を使用することで、DB インスタンスに接続するときにパスワードなしで認証できます。代わりに、認証トークンを使用します。(詳しくは、「MariaDB、MySQL、および PostgreSQL の IAM データベース認証」を参照してください。)

IAM データベース認証は、次のエンジンでは利用できません。

  • RDS for Db2

  • RDS for Oracle

  • RDS for SQL Server

RDS for MariaDB による IAM データベース認証

RDS for MariaDB を使用した IAM データベース認証で使用できるリージョンとエンジンバージョンは以下のとおりです。

リージョン RDS for MariaDB 10.11 RDS for MariaDB 10.6 RDS for MariaDB 10.5 RDS for MariaDB 10.4 RDS for MariaDB 10.3
米国東部 (オハイオ) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
米国東部 (バージニア北部) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
米国西部 (北カリフォルニア) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
米国西部 (オレゴン) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
アフリカ (ケープタウン) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
アジアパシフィック (香港) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
アジアパシフィック (ハイデラバード)
アジアパシフィック (ジャカルタ) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
アジアパシフィック (メルボルン)
アジアパシフィック(ムンバイ) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
アジアパシフィック (大阪) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
アジアパシフィック (ソウル) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
アジアパシフィック (シンガポール) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
アジアパシフィック (シドニー) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
アジアパシフィック (東京) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
カナダ (中部) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
カナダ西部 (カルガリー) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
中国 (北京) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
中国 (寧夏) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
欧州 (フランクフルト) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
欧州 (アイルランド) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
欧州 (ロンドン) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
ヨーロッパ (ミラノ) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
欧州 (パリ) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
欧州 (スペイン)
欧州 (ストックホルム) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
欧州 (チューリッヒ)
イスラエル (テルアビブ)
中東 (バーレーン) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
中東 (アラブ首長国連邦)
南米(サンパウロ) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
AWS GovCloud (米国東部) 使用可能なすべてのバージョン 使用可能なすべてのバージョン
AWS GovCloud (米国西部) 使用可能なすべてのバージョン 使用可能なすべてのバージョン

RDS for MySQL による IAM データベース認証

RDS for MySQL による IAM データベース認証は、すべてのバージョンのすべてのリージョンで利用できます。

  • RDS for MySQL 8.0 – 使用できるすべてのバージョン

  • RDS for MySQL 5.7 – 使用できるすべてのバージョン

RDS for PostgreSQL による IAM データベース認証

RDS for PostgreSQL による IAM データベース認証は、すべてのバージョンのすべてのリージョンで利用できます。

  • RDS for PostgreSQL 16 – 使用可能なすべてのバージョン

  • RDS for PostgreSQL 15 – 使用できるすべてのバージョン

  • RDS for PostgreSQL 14 – 使用できるすべてのバージョン

  • RDS for PostgreSQL 13 – 使用できるすべてのバージョン

  • RDS for PostgreSQL 12 – 使用できるすべてのバージョン

  • RDS for PostgreSQL 11 – 使用できるすべてのバージョン

  • RDS for PostgreSQL 10 – 使用できるすべてのバージョン